include:
 - runtest.salttest.modules.openstack.neutronv2.routers

{%- set neutron_test_network = 'NeutronTestNetwork' %}
{%- set neutron_bulk_test_network = 'NeutronTestBulkNetworks' %}
{%- set neutron_test_subnet = 'NeutronTestSubnet' %}
{%- set neutron_test_subnet_pool = 'NeutronTestSubnetPool' %}

neutronv2_network_create:
  module.run:
    - name: neutronv2.network_create
    - kwargs:
        cloud_name: admin_identity
        name: {{ neutron_test_network }}

neutronv2_network_bulk_create:
  module.run:
    - name: neutronv2.network_bulk_create
    - kwargs:
        cloud_name: admin_identity
        networks:
          - name: {{ neutron_bulk_test_network }}

neutronv2_subnet_create:
  module.run:
    - name: neutronv2.subnet_create
    - kwargs:
        cloud_name: admin_identity
        name: {{ neutron_test_subnet }}
        ip_version: 4
        cidr: 192.168.88.0/24
        network_id: {{ neutron_test_network }}

neutronv2_subnetpool_create:
  module.run:
    - name: neutronv2.subnetpool_create
    - kwargs:
        cloud_name: admin_identity
        name: {{ neutron_test_subnet_pool }}
        prefixes: [203.0.113.0/24]

neutronv2_subnet_list:
  module.run:
    - name: neutronv2.subnet_list
    - kwargs:
        cloud_name: admin_identity

neutronv2_network_list:
  module.run:
    - name: neutronv2.network_list
    - kwargs:
        cloud_name: admin_identity

neutronv2_subnetpool_list:
  module.run:
    - name: neutronv2.subnetpool_list
    - kwargs:
        cloud_name: admin_identity

neutronv2_subnet_get_details:
  module.run:
    - name: neutronv2.subnet_get_details
    - args:
      - {{ neutron_test_subnet }}
    - kwargs:
        cloud_name: admin_identity

neutronv2_subnetpool_get_details:
  module.run:
    - name: neutronv2.subnetpool_get_details
    - args:
      - {{ neutron_test_subnet_pool }}
    - kwargs:
        cloud_name: admin_identity

neutronv2_network_get_details:
  module.run:
    - name: neutronv2.network_get_details
    - args:
      - {{ neutron_test_network }}
    - kwargs:
        cloud_name: admin_identity

neutronv2_subnet_update:
  module.run:
    - name: neutronv2.subnet_update
    - args:
      - {{ neutron_test_subnet }}
    - kwargs:
        cloud_name: admin_identity
        description: NeutronTestSubnetDescription

neutronv2_subnetpool_update:
  module.run:
    - name: neutronv2.subnetpool_update
    - args:
      - {{ neutron_test_subnet_pool }}
    - kwargs:
        cloud_name: admin_identity
        description: NeutronTestSubnetPoolDescription

neutronv2_network_update:
  module.run:
    - name: neutronv2.network_update
    - args:
      - {{ neutron_test_network }}
    - kwargs:
        cloud_name: admin_identity
        description: NeutronTestNetworkDescription

neutronv2_subnet_delete:
  module.run:
    - name: neutronv2.subnet_delete
    - args:
      - {{ neutron_test_subnet }}
    - kwargs:
        cloud_name: admin_identity

neutronv2_subnetpool_delete:
  module.run:
    - name: neutronv2.subnetpool_delete
    - args:
      - {{ neutron_test_subnet_pool }}
    - kwargs:
        cloud_name: admin_identity

neutronv2_network_delete:
  module.run:
    - name: neutronv2.network_delete
    - args:
      - {{ neutron_test_network }}
    - kwargs:
        cloud_name: admin_identity

neutronv2_bulk_network_delete:
  module.run:
    - name: neutronv2.network_delete
    - args:
      - {{ neutron_bulk_test_network }}
    - kwargs:
        cloud_name: admin_identity

neutronv2_agent_list:
  module.run:
    - name: neutronv2.agent_list
    - kwargs:
        cloud_name: admin_identity

neutronv2_agent_list_dhcp:
  module.run:
    - name: neutronv2.agent_list
    - kwargs:
        cloud_name: admin_identity
        agent_type: "DHCP agent"
